Package org.mariadb.jdbc.util.timeout

# Class QueryTimeoutHandlerImpl

java.lang.Object
org.mariadb.jdbc.util.timeout.QueryTimeoutHandlerImpl

All Implemented Interfaces:
  `AutoCloseable`, `QueryTimeoutHandler`

public class QueryTimeoutHandlerImpl extends Object implements QueryTimeoutHandler

## Constructor Summary

Constructors
Constructor
Description
`QueryTimeoutHandlerImpl(Connection conn, ClosableLock lock)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`QueryTimeoutHandler`
`create(int queryTimeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryTimeoutHandlerImpl

public QueryTimeoutHandlerImpl(Connection conn, ClosableLock lock)

## Method Details

### create

public QueryTimeoutHandler create(int queryTimeout)

Specified by:
  `create` in interface `QueryTimeoutHandler`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `QueryTimeoutHandler`